Debian Bug report logs - #486120
/usr/bin/audit2allow: audit2{allow,why} - python-sepolgen error

version graph

Package: policycoreutils; Maintainer for policycoreutils is Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>; Source for policycoreutils is src:policycoreutils.

Reported by: Vaclav Ovsik <vaclav.ovsik@i.cz>

Date: Fri, 13 Jun 2008 14:33:02 UTC

Severity: normal

Found in version policycoreutils/2.0.49-2

Fixed in version policycoreutils/2.0.49-4

Done: Russell Coker <russell@coker.com.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Manoj Srivastava <srivasta@debian.org>:
Bug#486120; Package policycoreutils. Full text and rfc822 format available.

Acknowledgement sent to Vaclav Ovsik <vaclav.ovsik@i.cz>:
New Bug report received and forwarded. Copy sent to Manoj Srivastava <srivasta@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vaclav Ovsik <vaclav.ovsik@i.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/audit2allow: audit2{allow,why} - python-sepolgen error
Date: Fri, 13 Jun 2008 16:29:11 +0200
Package: policycoreutils
Version: 2.0.49-2
Severity: normal
File: /usr/bin/audit2allow

Hi,
there are problems with the python-sepolgen module name again:

zito@sid:~$ audit2allow 
  File "/usr/bin/audit2allow", line 23
    import python-sepolgen.audit as audit
                 ^
SyntaxError: invalid syntax

Regards
-- 
Zito

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=cs_CZ.ISO-8859-2 (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/bash

Versions of packages policycoreutils depends on:
ii  libc6                2.7-12              GNU C Library: Shared libraries
ii  libpam0g             0.99.10.0-1~icz50+1 Pluggable Authentication Modules l
ii  libselinux1          2.0.59-1            SELinux shared libraries
ii  libsemanage1         2.0.24-2            shared libraries used by SELinux p
ii  libsepol1            2.0.25-2            Security Enhanced Linux policy lib
ii  python               2.5.2-1             An interactive high-level object-o
ii  python-selinux       2.0.59-1            Python bindings to SELinux shared 
ii  python-semanage      2.0.24-2            Python bindings  for SELinux polic
ii  python-sepolgen      1.0.11-3            A Python module used in SELinux po

Versions of packages policycoreutils recommends:
pn  selinux-policy-refpolicy-targ <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Russell Coker <russell@coker.com.au>:
Bug#486120; Package policycoreutils. Full text and rfc822 format available.

Acknowledgement sent to "Tom Parker" <palfrey@tevp.net>:
Extra info received and forwarded to list. Copy sent to Russell Coker <russell@coker.com.au>. Full text and rfc822 format available.

Message #10 received at 486120@bugs.debian.org (full text, mbox):

From: "Tom Parker" <palfrey@tevp.net>
To: 486120@bugs.debian.org
Subject: Existing bug in python-sepolgen
Date: Tue, 29 Jul 2008 17:38:09 +0100
This is bug 487212
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487212) in
python-sepolgen as '-' is not a valid character in python module names
('_' is typically used instead).

Tom Parker




Reply sent to Russell Coker <russell@coker.com.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vaclav Ovsik <vaclav.ovsik@i.cz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 486120-close@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: 486120-close@bugs.debian.org
Subject: Bug#486120: fixed in policycoreutils 2.0.49-4
Date: Tue, 29 Jul 2008 22:47:03 +0000
Source: policycoreutils
Source-Version: 2.0.49-4

We believe that the bug you reported is fixed in the latest version of
policycoreutils, which is due to be installed in the Debian FTP archive:

policycoreutils_2.0.49-4.diff.gz
  to pool/main/p/policycoreutils/policycoreutils_2.0.49-4.diff.gz
policycoreutils_2.0.49-4.dsc
  to pool/main/p/policycoreutils/policycoreutils_2.0.49-4.dsc
policycoreutils_2.0.49-4_amd64.deb
  to pool/main/p/policycoreutils/policycoreutils_2.0.49-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russell Coker <russell@coker.com.au> (supplier of updated policycoreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 Jul 2008 08:08:30 +1000
Source: policycoreutils
Binary: policycoreutils
Architecture: source amd64
Version: 2.0.49-4
Distribution: unstable
Urgency: medium
Maintainer: Russell Coker <russell@coker.com.au>
Changed-By: Russell Coker <russell@coker.com.au>
Description: 
 policycoreutils - SELinux core policy utilities
Closes: 486120
Changes: 
 policycoreutils (2.0.49-4) unstable; urgency=medium
 .
   * Make it depend on python-sepolgen_1.0.11-4 and use the correct module
     names.
     Closes: #486120
Checksums-Sha1: 
 476fa51950f15e3b4db70073389e2c4efaee52ee 1324 policycoreutils_2.0.49-4.dsc
 16d5c90860a6ddb2c6ec55944cfc0dbb98046e7e 36288 policycoreutils_2.0.49-4.diff.gz
 4aa92ec18fa86e0437a29f4b90a12f629caa242b 353404 policycoreutils_2.0.49-4_amd64.deb
Checksums-Sha256: 
 239b29eefff7b188dd88ad35216e3ce4ce27f291789518d613d46827d5c5a160 1324 policycoreutils_2.0.49-4.dsc
 48f55602b6bf1920f88ac1f6759e3da9bc24697418ab35780570d31783b3099a 36288 policycoreutils_2.0.49-4.diff.gz
 d979567058300b52cbe6bb9542e17093f8cad1d321fafb1796f23558a6654c5a 353404 policycoreutils_2.0.49-4_amd64.deb
Files: 
 901bb4651b93daa9e76e0086104e5ba5 1324 utils optional policycoreutils_2.0.49-4.dsc
 39626256ea227a9412984ae59a109524 36288 utils optional policycoreutils_2.0.49-4.diff.gz
 a52717c5a587e554a1ec59793a6ac5c3 353404 utils optional policycoreutils_2.0.49-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIj5xAwrB5/PXHUlYRAqZtAJ9f5wqKLlde/DhYhwADHLqYGaw0VwCfUIE6
OEiVbPnuM6rEelnnRdyTIps=
=9ZjJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Aug 2008 07:29:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:27:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.